# Uses of Interface
org.eclipse.core.commands.IExecutionListener

Packages that use IExecutionListener
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.

## Uses of IExecutionListener in org.eclipse.core.commands

Subinterfaces of IExecutionListener in org.eclipse.core.commands
Modifier and Type
Interface
Description
`interface`
`IExecutionListenerWithChecks`
A listener to the execution of commands.
Methods in org.eclipse.core.commands with parameters of type IExecutionListener
Modifier and Type
Method
Description
`void`
Command.`addExecutionListener(IExecutionListener executionListener)`
Adds a listener to this command that will be notified when this command is about to execute.
`void`
CommandManager.`addExecutionListener(IExecutionListener listener)`
Adds an execution listener to this manager.
`void`
Command.`removeExecutionListener(IExecutionListener executionListener)`
Removes a listener from this command.
`void`
CommandManager.`removeExecutionListener(IExecutionListener listener)`
Removes an execution listener from this command manager.

## Uses of IExecutionListener in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands with parameters of type IExecutionListener
Modifier and Type
Method
Description
`void`
ICommandService.`addExecutionListener(IExecutionListener listener)`
Adds an execution listener to the command service.
`void`
ICommandService.`removeExecutionListener(IExecutionListener listener)`
Removes an execution listener from the command service.